Mekorma Windows 10和.NET Framework更新

Mekorma用户正在遇到一个问题,其中先前的构建与Microsoft .NET Framework 4.7和Windows 10 Creator更新不兼容。您可能遇到展示此问题的两个常见行为包括:

  • 安全警告说明用户无权打印出支票簿。
  • 警告:未处理对象异常:参数不正确。

Microsoft更新

以下Microsoft KB与.NET 4.7框架相关联。即使系统可能未明确陈述.NET 4.7,如果已加载任何KB,那么有效地系统不会与不适用于.NET 4.7中的旧版Mekorma产品不兼容。

  • KB3186497.
  • KB3186505
  • KB3186539.
  • KB3186568
  • KB4024848
  • KB4032115

此外,这是 Microsoft支持链接 关于Windows 10更新的信息。

怎么修

您可能会尝试卸载知识库(KB),以便维护当前构建的Mekorma功能,但Microsoft确实强制了一些这些更新。除非您可以阻止更新,否则这可能不是可行的长期解决方案。作为一个临时解决方法,这可能会起作用。

如果您决定升级以确保兼容工作站的兼容性,则需要升级所有Mekorma实例以才能实现所需的匹配版本级别。要下载并安装支持您的GP版本的Mekorma构建,请访问 Mekorma下载页面.

注意,如果客户端在R2之前运行Dynamics GP 2013,请安装位于的B210NETFRAMEWROUNCHENG GP 2013 RTM文件夹。 

此外,您无需卸载当前的Mekorma版本。运行现有的新构建将实现这一目标。安装和登录GP后,系统将提示您运行Mekorma表维护例程。请记住以下内容以确保顺利升级:

1.在升级之前制作所有检查格式,签名和徽标的备份副本。

2.运行升级过程时将所有用户从GP中超出GP。

3.在目标机器上使用管理员角色。

4.使用安装程序exe运行“run as admin” option.

5.安装后,使用GP使用“run as admin” option.

如果您需要帮助,或有进一步的问题,请联系我们 [email protected].

发表评论